/**
 * @name: BoomError
 * @author: yangliye
 * @date: 2023-04-21 10:11
 * @description：BoomError
 * @update: 2023-04-21 10:11
 */
export declare class BoomError extends Error {
    readonly boom_error_flag_ = "__BOOM_ERROR___";
    code: number;
    message: string;
    constructor(code: number, message: string | object, name?: string);
    /**
     * 返回的是一个JSON 的 字符串，可以通过JSON.parse 解析
     */
    toString(): string;
    getCode(): number;
    getMessage(): string;
}
